Bug 36224 - 3.2 to 4.0 update: switch back to kbd
3.2 to 4.0 update: switch back to kbd
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Update - Release updates
UCS 4.0
Other Linux
: P5 normal (vote)
: UCS 4.0
Assigned To: Felix Botner
Arvid Requate
: interim-3
Depends on:
Blocks: 36423
  Show dependency treegraph
 
Reported: 2014-10-17 12:16 CEST by Felix Botner
Modified: 2014-11-26 06:55 CET (History)
1 user (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Felix Botner univentionstaff 2014-10-17 12:16:57 CEST
console-tools (1:0.2.3dbs-70) unstable; urgency=low

  * Change Prority: extra, favouring kbd instead.
  * Standards-Version: 3.9.1.
  *  Remove shlibs.local; not needed.

kbd is now (again) the default in debian. We already removed the console-tools dependency from our packages. But the update keeps console-tools and removed plymouth, univention-initrd ....

We might need an explicit dependency to kbd.
Comment 1 Stefan Gohmann univentionstaff 2014-10-20 10:30:51 CEST
univention-kde is now installed in two default Jenkins update jobs: r54636
Comment 2 Felix Botner univentionstaff 2014-10-22 10:57:21 CEST
Found no way to make apt-get replace console-tools with kbd during the update.
kbd is now explicitly installed in the postup.sh (and console-tools removed)

After the update, kbd should be installed and console-tools removed.
Comment 3 Arvid Requate univentionstaff 2014-11-04 15:22:42 CET
* Update with installed univention-kde works
* plymouth and univention-initrd remain installed
* Changelog ok
Comment 4 Stefan Gohmann univentionstaff 2014-11-26 06:55:42 CET
UCS 4.0-0 has been released:
 http://docs.univention.de/release-notes-4.0-0-en.html
 http://docs.univention.de/release-notes-4.0-0-de.html

If this error occurs again, please use "Clone This Bug".